## boinc 6.12.33+dfsg

=== samples/nvopencl/Makefile ===
# makefile for nvopencl BOINC example application on Linux.

# Add source files here
EXECUTABLE	:= example_app_nvopencl
# C/C++ source files (compiled with gcc / c++)
CCFILES		:= nvopencl.cpp

################################################################################
# Rules and targets

include common_opencl.mk
