=== debian/changelog ===
boinc (6.12.33+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Port to libnotify 0.7. (Closes: #636296)
    - Bump Build-Depends on libnotify to (>= 0.7.0).
    - Add debian/patches/libnotify-0.7.patch.
    - Update build system to properly set gtk+-2.0 cflags/ldflags for the
      boincmgr GUI application.
    - Update to the new libnotify 0.7 API.

 -- Michael Biebl <biebl@debian.org>  Sat, 06 Aug 2011 05:50:23 +0200

boinc (6.12.33+dfsg-1) unstable; urgency=low

  [Steffen]
  * New upstream version.
  * The package boinc depends on -client or -manager
    of the same version or later.

  [Dhananjay]
  * Adjustments of .install and .links files to truly
    place files where they are expected.

 -- Steffen Moeller <moeller@debian.org>  Mon, 20 Jun 2011 20:47:37 +0200

boinc (6.12.32+dfsg-2) UNRELEASED; urgency=low

  * The boinc package now depends on binaries
    of the same version.

 -- Steffen Moeller <moeller@debian.org>  Sat, 11 Jun 2011 23:09:24 +0200

boinc (6.12.32+dfsg-1) unstable; urgency=low

  * New upstream version.
    - finally contains MAXPATHLEN fixes for building on HURD
    - fewer warnings while compiling (some Debian patches
      accepted)
  * Initial preparations for merging with developments
    for Debian and beyond at SZTAKI, Budapest.
  * Recommending on amd64 to also install the ia32-lib package.
    A "Depends" would not be acceptable for too many aiming
    at a lean system (Closes: #562431) (lp: #560143).

 -- Steffen Moeller <moeller@debian.org>  Fri, 10 Jun 2011 13:56:34 +0200

boinc (6.12.28+dfsg-7) UNRELEASED; urgency=low

  * Added download script for binary applications from
    Debian.
  * Added recommends in -manager for ia32-lib-gtk
    for amd64 only to better guarantee functional graphics
  * Added recommends in -client for ia32-lib
  * Added recommends to -server-maker to uuid-runtime for genuuid

 -- Steffen Moeller <moeller@debian.org>  Sun, 05 Jun 2011 23:44:49 +0200

boinc (6.12.28+dfsg-6) unstable; urgency=low

  * Change amd64 platform name to upstream's
    x86_64-pc-linux-gnu from x86_64-linux-gnu.

 -- Steffen Moeller <moeller@debian.org>  Sun, 05 Jun 2011 23:05:14 +0200

boinc (6.12.28+dfsg-5) UNRELEASED; urgency=low

  * Drop build-dep on obsolete libxcb-atom (closes: #626669).  That code was
    disabled by debian/patches/Makefile_subdirs.patch anyway.

 -- Julien Cristau <jcristau@debian.org>  Sun, 05 Jun 2011 00:02:33 +0200

boinc (6.12.28+dfsg-4) unstable; urgency=low

   * Fixed target of sed instruction (and FTBFS with it)
   * Explicitly setting CPPFLAGS to empty, which may help
     kfreebsd.

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Jun 2011 21:51:53 +0200

boinc (6.12.28+dfsg-3) unstable; urgency=low

   * Added explicit dependency on python-support for boinc-server-maker.
   * Overriding csh and soname lintian warnings.
   * Addressing the crypt_prog issue.
   * Eliminating build path from python config
   * Eperienting with elimination of leading and ending blanks from
     Makefile lines.

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Jun 2011 20:33:45 +0200

boinc (6.12.28+dfsg-2) unstable; urgency=low

   * Adjusting build dependencies for Debian unstable (Closes: #626669).

 -- Steffen Moeller <moeller@debian.org>  Sat, 28 May 2011 10:44:59 +0200

boinc (6.12.28+dfsg-1) unstable; urgency=low

   * New upstream version.

     Likely to now truly compile also on the HURD.

   * Mentioned ia32-libs also in the README.Debian (Closes: #562431).

 -- Steffen Moeller <moeller@debian.org>  Fri, 27 May 2011 23:54:18 +0200

boinc (6.12.27+dfsg-1) unstable; urgency=low

   * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 25 May 2011 17:17:58 +0200

  

boinc (6.12.26+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 27 Apr 2011 22:33:56 +0200

boinc (6.12.25+dfsg-1) unstable; urgency=low

  * Changed init dependencies to $all which may help speeding up the
    boot process and grants time initialising CUDA when kdm is also
    installed.

  * Also granting the boinc user access to the X display by invoking
    xhost +local:boinc if xhost is installed. The package providing
    the tool, i.e. x11-xserver-utils,  is now suggested as a runtime
    dependency.

  This with some likelihood (Closes: #557871, #596656) (lp: #587426,
  lp: #414244, lp: #525241). It remains yet untested because of a lack
  of respective hardware.  Many thanks go to Skip for keeping up the
  spirit to address this.

  * Upstream has fixed build failure on hurd.

 -- Steffen Moeller <moeller@debian.org>  Sat, 16 Apr 2011 20:24:12 +0200

boinc (6.12.22+dfsg-1) unstable; urgency=low

  * First attempt to fix compilation on HURD.
  * Added debconf it.po (Closes: #619436).
  * Addressing lintian errors on python paths/versions.
  * Removing *.la files (Closes: #621197).

 -- Steffen Moeller <moeller@debian.org>  Sat, 09 Apr 2011 17:32:20 +0200

boinc (6.12.18+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Thu, 17 Mar 2011 16:57:35 +0100

boinc (6.12.15+dfsg-2) UNRELEASED; urgency=low

  * New pt_BR.po file contributed by Adriano Rafael Gomes
    (Closes: #610407).
  * Added explicit dependency on python.

 -- Steffen Moeller <moeller@debian.org>  Sat, 05 Mar 2011 21:17:23 +0100

boinc (6.12.15+dfsg-1) unstable; urgency=low

  * New upstream release.
  * 2nd attempt to correct XML error in config (Closes: #610638)

 -- Steffen Moeller <moeller@debian.org>  Sat, 19 Feb 2011 21:00:35 +0100

boinc (6.12.14+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Migration from experimental to unstable.

 -- Steffen Moeller <moeller@debian.org>  Thu, 17 Feb 2011 19:37:10 +0100

boinc (6.12.8+dfsg-7) experimental; urgency=low

  * Fixed cc_config.xml, reported by Nelson (Closes: #610638).

 -- Steffen Moeller <moeller@debian.org>  Sun, 23 Jan 2011 00:49:20 +0100


