=== debian/changelog ===
boinc (6.13.1+dfsg-2) unstable; urgency=low

  * Bringing notify patch to unstable.
  * Adjusted build dependency to libjpeg-dev (Closes: #641093)
  * Further improvements on stripchart.

 -- Steffen Moeller <moeller@debian.org>  Mon, 08 Aug 2011 01:36:51 +0200

boinc (6.13.1+dfsg-1) experimental; urgency=low

  * New upstream version
  * Added boinc-cgi-stripchart package
  * Michael's libnotify patch from 6.12.33+dfsg-1.1 not yet included

 -- Steffen Moeller <moeller@debian.org>  Sun, 24 Jul 2011 22:20:04 +0200
