=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  zlib1g-dev, libssl-dev, libcurl4-openssl-dev (>= 7.17.1),
  libsm-dev, libice-dev, libxmu-dev, libxi-dev, libx11-dev, libnotify-dev (>= 0.7.0),
  freeglut3-dev, libwxgtk2.8-dev, libgtk2.0-dev,
- libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg62-dev,
+ libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg-dev
 Homepage: http://boinc.berkeley.edu/
 Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc.git
 Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc.git
@@ -106,7 +106,8 @@
  mysql-server-5.0 | virtual-mysql-server, apache2 | httpd-cgi,
  php5, php5-cli, php5-mysql,
  tcsh, openssl (>= 0.9.8), adduser, libfcgi0ldbl
-Recommends: libapache2-mod-php5, php5-gd, uuid-runtime
+Recommends: libapache2-mod-php5, php5-gd, uuid-runtime,
+ boinc-cgi-stripchart
 Suggests: boinc-app-examples
 Description: BOINC server applications and data files
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
@@ -156,3 +157,18 @@
  the BOINC packages. It is provided primarily to provide a backtrace
  with names in a debugger, this makes it somewhat easier to interpret
  core dumps.
+
+Package: boinc-cgi-stripchart
+Section: libs
+Priority: extra
+Architecture: all
+Depends: gnuplot-nox, perl
+Recommends: apache2|httpd-cgi
+Description: CGI script for plotting basic statistical graphs
+ The Berkeley Open Infrastructure for Network Computing (BOINC) is a
+ software platform for distributed computing using volunteered computer
+ resources.
+ .
+ The BOINC developers have found their charting library to be of
+ interest for a larger audience. It is isolated in the BOINC source
+ tree and thus presented as a separate package.
