=== debian/rules ===
--- 
+++ 
@@ -137,6 +137,8 @@
 
 clean:
 	dh clean
+	find . -name "Makefile" | grep -v samples | xargs -r rm
+	rm -f configure
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:
@@ -236,8 +238,3 @@
 	  lockfile \
 	  doc/manpages/*.1 \
 	  client/boinc.optimized \
-	  update-boinc-applinks.1 \
-	  aclocal.m4 \
-	  config.h.in \
-	  configure \
-	  compile \
