=== debian/changelog ===
boinc (6.13.6+dfsg-2) unstable; urgency=low

  * Fixing FTBFS (Closes: #644796).
  * substituted install target with override_dh_auto_install

 -- Steffen Moeller <moeller@debian.org>  Sun, 09 Oct 2011 15:50:33 +0200

boinc (6.13.6+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sat, 08 Oct 2011 14:27:25 +0200

boinc (6.13.1+dfsg-3) UNRELEASED; urgency=low

  * Fixed lintian warning for stripchart.

 -- Steffen Moeller <moeller@debian.org>  Mon, 08 Aug 2011 01:36:51 +0200
