=== debian/rules ===
--- 
+++ 
@@ -139,6 +139,7 @@
 	dh clean
 	find . -name "Makefile" | grep -v samples | xargs -r rm
 	rm -f configure
+	rm -rf py/lib.linux-*-2.*
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:
