## boinc 6.13.12+dfsg

=== debian/changelog ===
boinc (6.13.12+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Starting only at runlevel 4 and 5 (Closes: #820246), possibly.
  * Stopping also at runlevel 2 and 3

 -- Steffen Moeller <moeller@debian.org>  Sun, 13 Nov 2011 17:38:16 +0100

boinc (6.13.10+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sun, 30 Oct 2011 00:32:49 +0200
