=== debian/rules ===
--- 
+++ 
@@ -140,7 +140,7 @@
 	find . -name "Makefile" | grep -v samples | xargs -r rm
 	rm -f configure
 	rm -rf py/lib.linux-*-2.*
-	rm -f override_dh_auto_install
+	rm -f override_dh_auto_install client_state.xml gui_rpc_auth.cfg
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:
@@ -236,5 +236,3 @@
 	rm -f lib/crypt_prog test/run notices/feeds.xml
 	find test -name "run-*" | xargs -r rm -rf
 	rm -f $(BINARIES)
-	rm -f \
-	  lockfile \
