## boinc 7.0.3+dfsg

=== debian/changelog ===
boinc (7.0.3+dfsg-1) unstable; urgency=low

  * Also adding libxss-dev as build dependency (Closes: #651953).
    Credits go to Dmitry Baryshev.

 -- Steffen Moeller <moeller@debian.org>  Thu, 15 Dec 2011 20:55:11 +0100

boinc (7.0.2+dfsg-2) UNRELEASED; urgency=low

  [Contributed by Daniel Hahler]
  * Adjusted CUDA dependencies for Ubuntu (lp: #410809).
  * New window renders bug invalid (lp: #511654)

  [Contributed by Oliver Bock]
  * Client configuration fall (mostly) back to defaults.
  * Typos in description.

 -- Steffen Moeller <moeller@debian.org>  Tue, 06 Dec 2011 22:32:48 +0100
