=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
 Package: boinc-nvidia-cuda
 Architecture: amd64 i386
 Section: contrib/net
-Depends: ${misc:Depends}, boinc, libcuda1, libcuda1-ia32 [amd64], ia32-libs [amd64]
+Depends: ${misc:Depends}, boinc, libcuda1|nvidia-current, libcuda1-ia32|nvidia-current [amd64], ia32-libs|nvidia-current [amd64]
 Description: metapackage for CUDA-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -61,7 +61,7 @@
 Architecture: amd64 i386
 Section: contrib/net
 Depends: ${misc:Depends}, boinc, fglrx-driver, amd-libopencl1
-Description: metapackage for CUDA-savvy BOINC client and manager
+Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
  various scientific disciplines all compete for the idle time of
