## boinc 7.0.8+dfsg

=== debian/changelog ===
boinc (7.0.8+dfsg-2) unstable; urgency=low

  * Fixed patch for whitespace removal.

 -- Steffen Moeller <moeller@debian.org>  Mon, 16 Jan 2012 23:00:02 +0100

boinc (7.0.8+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Added disk space check to get-orig-source.

 -- Steffen Moeller <moeller@debian.org>  Sat, 14 Jan 2012 13:04:18 +0100

boinc (7.0.7+dfsg-2) UNRELEASED; urgency=low

  * boinc-server-maker: Fixing missing files for make_project.

 -- Steffen Moeller <moeller@debian.org>  Mon, 02 Jan 2012 01:56:18 +0100

boinc (7.0.7+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Fixed get-orig-source omitted "fi"

 -- Steffen Moeller <moeller@debian.org>  Sun, 01 Jan 2012 16:54:26 +0100

boinc (7.0.3+dfsg-2) UNRELEASED; urgency=low

  * Now libxss-dev truly added (Closes: #651953).

 -- Steffen Moeller <moeller@debian.org>  Thu, 15 Dec 2011 20:55:11 +0100
