=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  zlib1g-dev, libssl-dev, libcurl4-openssl-dev (>= 7.17.1),
  libsm-dev, libice-dev, libxmu-dev, libxi-dev, libx11-dev, libnotify-dev (>= 0.7.0),
  freeglut3-dev, libwxgtk2.8-dev, libgtk2.0-dev,
- libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg-dev
+ libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg-dev,
+ libxss-dev
 Homepage: http://boinc.berkeley.edu/
 Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc.git
 Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc.git
