## boinc 7.0.11+dfsg

=== debian/changelog ===
boinc (7.0.11+dfsg-1) unstable; urgency=low

  * Removing ","s from "should start" line in init script (Closes: #654693)
    with tons of thanks to Bruno Muller.
  * New upstream version.
  * [debian/control] corrected for strong binding of [amd64] tag

 -- Steffen Moeller <moeller@debian.org>  Fri, 20 Jan 2012 13:21:56 +0100
