## boinc 7.0.14+dfsg

=== samples/vboxwrapper/Makefile ===
--- 
+++ 
@@ -27,8 +27,11 @@
 distclean:
 	/bin/rm -f $(PROGS) *.o libstdc++.a
 
+floppyio.o: floppyio.cpp
+	g++ $(CXXFLAGS) -c floppyio.cpp
+
 vbox.o: vbox.cpp
 	g++ $(CXXFLAGS) -c vbox.cpp
 
-vboxwrapper: vboxwrapper.o vbox.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
-	g++ $(CXXFLAGS) -o vboxwrapper vboxwrapper.o vbox.o libstdc++.a -pthread -lboinc_api -lboinc
+vboxwrapper: vboxwrapper.o vbox.o floppyio.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
+	g++ $(CXXFLAGS) -o vboxwrapper vboxwrapper.o vbox.o floppyio.o libstdc++.a -pthread -lboinc_api -lboinc
