## boinc 7.0.15+dfsg

=== debian/changelog ===
boinc (7.0.15+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 15 Feb 2012 21:41:20 +0100

boinc (7.0.14+dfsg-2) UNRELEASED; urgency=low

  * Added patch to include unistd.h 

 -- Steffen Moeller <moeller@debian.org>  Sun, 05 Feb 2012 00:25:02 +0100
