## boinc 7.0.24%2bdfsg

=== debian/rules ===
--- 
+++ 
@@ -120,7 +120,7 @@
   --prefix=/usr \
   --enable-client \
   --enable-server \
-  --enable-fcgi \
+  --disable-fcgi \
   --enable-manager \
   --enable-libraries \
   --enable-unicode \
@@ -133,7 +133,7 @@
 
 # Default rule
 %:
-	dh $@
+	dh $@ --parallel --with python2
 
 clean:
 	dh clean
@@ -195,7 +195,7 @@
 	$(MAKE)
 
 	# Generate binary message catalogs of the BOINC Manager.
-	if [ -d localte/client ]; then \
+	if [ -d locale/client ]; then \
 	  for i in `ls locale/client`; do \
 	    if [ -f "locale/client/$$i/BOINC-Manager.po" ]; then \
 	     msgfmt -o "locale/client/$$i/BOINC-Manager.mo" \
@@ -220,14 +220,6 @@
 
 override_dh_auto_clean: 
 	dh_auto_clean
-	# don't interfere with dpkg-source
-	#if [ -d .pc ]; then  \
-	#	quilt pop -a ; \
-	#	$(RM) -r .pc ; \
-	#fi
-	#if [ -d debian/patches ]; then \
-	#	cat debian/patches/*| patch -p1 -R --batch --quiet || true ; \
-	#fi
 	find . -name Makefile.in -o -name "*.a" -o -name "*.o" | xargs -r rm
 	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp lib/crypt_prog
 	rm -rf  py/build py/lib.linux-x86_64-2.6
@@ -236,3 +228,13 @@
 	rm -f lib/crypt_prog test/run notices/feeds.xml
 	find test -name "run-*" | xargs -r rm -rf
 	rm -f $(BINARIES)
+	rm -f \
+	  lockfile \
+	  doc/manpages/*.1 \
+	  client/boinc.optimized \
+	  update-boinc-applinks.1 \
+	  aclocal.m4 \
+	  config.h.in \
+	  configure \
+	  compile \
+	  depcomp \
