## boinc 7.0.24+dfsg

=== debian/changelog ===
boinc (7.0.24+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Built without optimisation on amd64 for better debug information to help
    investigation of apparent incompatibility with NVidia 295.33 modules.
  * <glib.h> patch accepted by upstream (Closes: #665512).
  * First sponsoring upload by Thorsten - many thanks!

 -- Steffen Moeller <moeller@debian.org>  Sat, 31 Mar 2012 13:41:50 +0200

boinc (7.0.23+dfsg-2) UNRELEASED; urgency=low

  * More increased buffers whenever paths were <1024 chars of length
  * Added invocations of init() functions to constructors
    of RESULT and CLIENT_STATE classes to work towards valgrind
    cleanliness 
  * Removed Christoph from uploaders

 -- Steffen Moeller <moeller@debian.org>  Fri, 30 Mar 2012 18:49:07 +0200

boinc (7.0.23+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Moving towards inclusion of glib.h instead of glib/*.h.

 -- Steffen Moeller <moeller@debian.org>  Sat, 24 Mar 2012 16:05:42 +0100

boinc (7.0.21+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Added icons in /usr/share/boinc to boinc-manager package

 -- Steffen Moeller <moeller@debian.org>  Sun, 18 Mar 2012 13:43:58 +0100

boinc (7.0.20+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Removed dependency on schedtools again - and fixed bug in patch.

 -- Steffen Moeller <moeller@debian.org>  Fri, 09 Mar 2012 17:04:07 +0100

boinc (7.0.19+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Added dependency on schedtools for boinc-client.
  * Removing /var/lib/boinc-client upon purge (Closes: #656464).

 -- Steffen Moeller <moeller@debian.org>  Sat, 03 Mar 2012 01:19:45 +0100
